# NOTE: Derived from blib/lib/ClearCase/Wrapper.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper;

#line 440 "blib/lib/ClearCase/Wrapper.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/_ShowFound.al)"
# Print out the list of elements derived as 'eligible', whatever
# that means for the current op.
sub _ShowFound {
    my $ok = shift;
    my $n = @_;
    my $msg;
    if ($n == 0) {
	$msg = Msg(undef, "no eligible elements found");
    } elsif ($n == 1) {
	$msg = Msg(undef, "found 1 file: @_");
    } elsif ($n <= 10) {
	$msg = Msg(undef, "found $n files: @_");
    } else {
	$msg = Msg(undef, "found $n files: @_[0..3] ...");
    }
    print STDERR $msg;
    # Ask if it's OK to continue, exit if no. Generally results from -ok flag.
    if ($ok && $n) {
	(my $op = (caller(2))[3]) =~ s%.*:%%;
	require ClearCase::ClearPrompt;
	my $a = ClearCase::ClearPrompt::clearprompt(
			    qw(proceed -def p -type ok -pro), "Continue $op?");
	exit 0 unless $a == 0;
    }
}

# end of ClearCase::Wrapper::_ShowFound
1;
