# NOTE: Derived from blib/lib/ClearCase/Wrapper.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper;

#line 383 "blib/lib/ClearCase/Wrapper.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/Assert.al)"
# Allows the extension writer to make an assertion. If this assertion
# is untrue, dump the current command's usage msg to stderr and exit.
sub Assert {
    my($assertion, @msg) = @_;
    return if $assertion;
    (my $op = (caller(1))[3]) =~ s%.*:%%;
    no strict 'refs';
    my $str = ${$op} || $op;
    my $star = '*' if !Native($op);
    for (@msg) {
	chomp;
	print STDERR Msg('E', $_);
    }
    print STDERR "Usage: $star$str\n";
    exit 1;
}

# end of ClearCase::Wrapper::Assert
1;
