# NOTE: Derived from blib/lib/ClearCase/Wrapper.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper;

#line 905 "blib/lib/ClearCase/Wrapper.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/help.al)"
# No POD for this one because no options (same as native variant).
sub help {
    my @text = ClearCase::Argv->new(@ARGV)->stderr(0)->qx;
    # Let cleartool handle any malformed requests.
    return 0 if @ARGV > 2;
    if (@ARGV == 2) {
	my $op = $ARGV[1];
	if (Extension($op)) {
	    @text = ('Usage: *') if !@text;
	    chomp $text[-1];
	    if (my $msg = $$op) {
		chomp $msg;
		my($indent) = ($text[-1] =~ /^(\s*)/);
		substr($indent, -2, 2) = '';
		$msg =~ s/\n/\n$indent/gs;
		push(@text, $msg);
	    }
	    print @text, "\n";
	    exit 0;
	} else {
	    return 0;
	}
    }
    print @text, "\n";
    my $bars = '='x70;
    print "$bars\n= ClearCase::Wrapper Extensions:\n$bars\n\n";
    for (sort grep !/^_/, keys %ClearCase::Wrapper::ExtMap) {
	next if m%^(lsp(riv)?|c.)$%;
	$cmd = "ClearCase::Wrapper::$_";
	my $text = $$cmd;
	next unless $text;
	$text =~ s%^(help)?\s+%%s;
	my $star = ClearCase::Wrapper::Native($_) ? '' : '*';
	print "Usage: $star$_ $text\n";
    }
    exit 0;
}

# end of ClearCase::Wrapper::help
1;
